[package]
name = "commonware-macros"
edition.workspace = true
publish = true
version.workspace = true
license.workspace = true
description = "Augment the development of primitives with procedural macros."
readme = "README.md"
homepage.workspace = true
repository = "https://github.com/commonwarexyz/monorepo/tree/main/macros"
documentation = "https://docs.rs/commonware-macros"

[lints]
workspace = true

[lib]
bench = false
proc-macro = true

[dependencies]
futures.workspace = true
proc-macro-crate.workspace = true
proc-macro2.workspace = true
quote.workspace = true
syn = { workspace = true, features = ["full"] }
toml.workspace = true
tracing.workspace = true
tracing-subscriber.workspace = true

[dev-dependencies]
futures-timer.workspace = true

[package.metadata.cargo-udeps.ignore]
# `futures-timer` is exercised only in doctests, so cargo-udeps flags it falsely.
development = ["futures-timer"]
